
#ifndef _SI570_H_
#define _SI570_H_

#include <stdint.h>
#include <stdbool.h>

#include "queue.h"
#include "semphr.h"


#define  _8_24(double_freq) (uint32_t)(double_freq*(1<<24))
#define _11_21(double_freq) (uint32_t)(double_freq*(1<<21))
#define _43_21(double_freq) (uint64_t)(double_freq*(1<<21))


    /* Maximum frequency (depends on speed grade and output option) */
#define SI570_MAX_FREQUENCY     _11_21(160.0)


void si570_setVirtualRegisters (uint8_t regs[6]);
void si570_setSingleVirtualRegister (uint8_t regNum, uint8_t value);
void si570_getVirtualRegisters (void);
void si570_getFactoryDefaultRegisters (void);
void si570_getRegisters (void);
uint8_t si570_getAddress (void);
void si570_setFrequency (uint32_t frequency1121);
void si570_saveParams (void);
uint32_t si570_getFrequency (void);
uint32_t si570_getStackHighWatermark (void);
void si570_task (void *pvParameters);
void si570_initModule (void);

#endif
