
#ifndef __INIT_H
#define __INIT_H


/* Board type */
#define BOARD_ROLF1         (1)
#define BOARD_KAI1          (2)
#define BOARD_KAI2          (3)
#define BOARD_TYPE BOARD_KAI2

/* Audio samples can be 16 or 32 bits */
#define AUDIO_SAMPLES       (16)

/* Size of isochronous USB packets */
#if AUDIO_SAMPLES == 16
#define USB_ISOC_SIZE_IQ    (416)
#endif
#if AUDIO_SAMPLES == 32
#define USB_ISOC_SIZE_IQ    (828)
#endif

#define USB_ISOC_SIZE_DEMOD (104)

/* USB interface and endpoint numbers */
#define USB_ENDPOINT_IQ             (0x83)
#define USB_ENDPOINT_DEMOD          (0x86)

#define USB_INTERFACE_SOFTROCK      (0)
#define USB_INTERFACE_AUDIOC_IQ     (1)
#define USB_INTERFACE_AUDIOS_IQ     (2)
#define USB_INTERFACE_AUDIOC_DEMOD  (3)
#define USB_INTERFACE_AUDIOS_DEMOD  (4)

/* USB Audio Unit ID's */
#define USB_UNITID_IQ_FEATURE       (2)

#define USB_UNITID_DEMOD_IN         (4)
#define USB_UNITID_DEMOD_FEATURE    (5)
#define USB_UNITID_DEMOD_OUTPUT     (6)


/**
 * Initialize the non-peripheral related part of the system (PLL, pins)
 *
 * @param  none
 * @return none
 *
 * @brief  Setup the system.
 */
extern void cpuInit( void );
#endif
